Index: trunk/PaellaBase/Paella.qsf
===================================================================
--- trunk/PaellaBase/Paella.qsf	(revision 10)
+++ trunk/PaellaBase/Paella.qsf	(revision 11)
@@ -67,5 +67,5 @@
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 7
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 8
-set_location_assignment PIN_21 -to LED_0
+set_location_assignment PIN_21 -to LED
 set_location_assignment PIN_33 -to CLK_50MHz
 set_location_assignment PIN_46 -to USB_PA[0]
@@ -73,8 +73,12 @@
 set_location_assignment PIN_44 -to USB_PA[2]
 set_location_assignment PIN_43 -to USB_PA[3]
+set_location_assignment PIN_37 -to USB_PA[7]
+set_location_assignment PIN_38 -to USB_PA[6]
+set_location_assignment PIN_39 -to USB_PA[5]
 set_location_assignment PIN_41 -to USB_PA[4]
-set_location_assignment PIN_39 -to USB_PA[5]
-set_location_assignment PIN_38 -to USB_PA[6]
-set_location_assignment PIN_37 -to USB_PA[7]
+set_location_assignment PIN_43 -to USB_PA[3]
+set_location_assignment PIN_44 -to USB_PA[2]
+set_location_assignment PIN_45 -to USB_PA[1]
+set_location_assignment PIN_46 -to USB_PA[0]
 set_location_assignment PIN_49 -to USB_FLAGC
 set_location_assignment PIN_50 -to USB_FLAGB
@@ -91,15 +95,15 @@
 set_location_assignment PIN_70 -to USB_PB[2]
 set_location_assignment PIN_71 -to USB_PB[3]
-set_location_assignment PIN_72 -to I2C_SDA
-set_location_assignment PIN_73 -to I2C_SCL
-set_location_assignment PIN_76 -to CONV_A[0]
-set_location_assignment PIN_78 -to CONV_A[1]
-set_location_assignment PIN_80 -to CONV_A[2]
-set_location_assignment PIN_81 -to CONV_A[3]
-set_location_assignment PIN_82 -to TRG[0]
-set_location_assignment PIN_83 -to TRG[1]
-set_location_assignment PIN_84 -to TRG[2]
-set_location_assignment PIN_87 -to TRG[3]
-set_location_assignment PIN_88 -to ADC_DTP
+set_location_assignment PIN_72 -to CON_A[0]
+set_location_assignment PIN_73 -to CON_A[1]
+set_location_assignment PIN_76 -to CON_A[2]
+set_location_assignment PIN_78 -to CON_A[3]
+set_location_assignment PIN_80 -to CON_A[4]
+set_location_assignment PIN_81 -to CON_A[5]
+set_location_assignment PIN_82 -to CON_A[6]
+set_location_assignment PIN_83 -to TRG[0]
+set_location_assignment PIN_84 -to TRG[1]
+set_location_assignment PIN_87 -to TRG[2]
+set_location_assignment PIN_88 -to TRG[3]
 set_location_assignment PIN_91 -to ADC_DCO
 set_location_assignment PIN_92 -to "ADC_DCO(n)"
@@ -134,8 +138,8 @@
 set_location_assignment PIN_147 -to CON_B[15]
 set_location_assignment PIN_148 -to CON_B[16]
-set_location_assignment PIN_149 -to CON_BCLK[1]
-set_location_assignment PIN_150 -to CON_BCLK[2]
-set_location_assignment PIN_152 -to CON_CCLK[2]
-set_location_assignment PIN_151 -to CON_CCLK[1]
+set_location_assignment PIN_149 -to CON_BCLK[0]
+set_location_assignment PIN_150 -to CON_BCLK[1]
+set_location_assignment PIN_151 -to CON_CCLK[0]
+set_location_assignment PIN_152 -to CON_CCLK[1]
 set_location_assignment PIN_159 -to CON_C[0]
 set_location_assignment PIN_160 -to CON_C[1]
@@ -151,14 +155,14 @@
 set_location_assignment PIN_177 -to CON_C[11]
 set_location_assignment PIN_181 -to RAM_DQB[7]
-set_location_assignment PIN_182 -to RAM_A[6]
-set_location_assignment PIN_183 -to RAM_A[7]
+set_location_assignment PIN_182 -to RAM_ADDR[6]
+set_location_assignment PIN_183 -to RAM_ADDR[7]
 set_location_assignment PIN_184 -to RAM_CE1
 set_location_assignment PIN_186 -to RAM_CLK
 set_location_assignment PIN_187 -to RAM_WE
-set_location_assignment PIN_188 -to RAM_A[8]
-set_location_assignment PIN_189 -to RAM_A[9]
-set_location_assignment PIN_194 -to RAM_A[10]
-set_location_assignment PIN_195 -to RAM_A[11]
-set_location_assignment PIN_196 -to RAM_A[12]
+set_location_assignment PIN_188 -to RAM_ADDR[8]
+set_location_assignment PIN_189 -to RAM_ADDR[9]
+set_location_assignment PIN_194 -to RAM_ADDR[10]
+set_location_assignment PIN_195 -to RAM_ADDR[11]
+set_location_assignment PIN_196 -to RAM_ADDR[12]
 set_location_assignment PIN_197 -to RAM_DQPA
 set_location_assignment PIN_200 -to RAM_DQA[0]
@@ -170,19 +174,19 @@
 set_location_assignment PIN_216 -to RAM_DQA[6]
 set_location_assignment PIN_217 -to RAM_DQA[7]
-set_location_assignment PIN_218 -to RAM_A[13]
-set_location_assignment PIN_219 -to RAM_A[14]
-set_location_assignment PIN_221 -to RAM_A[15]
-set_location_assignment PIN_223 -to RAM_A[16]
-set_location_assignment PIN_224 -to RAM_A[17]
-set_location_assignment PIN_226 -to RAM_A[18]
-set_location_assignment PIN_230 -to RAM_A[19]
-set_location_assignment PIN_231 -to RAM_A[0]
-set_location_assignment PIN_232 -to RAM_A[1]
-set_location_assignment PIN_233 -to RAM_A[2]
-set_location_assignment PIN_234 -to RAM_A[3]
-set_location_assignment PIN_235 -to RAM_A[4]
-set_location_assignment PIN_236 -to RAM_A[5]
+set_location_assignment PIN_218 -to RAM_ADDR[13]
+set_location_assignment PIN_219 -to RAM_ADDR[14]
+set_location_assignment PIN_221 -to RAM_ADDR[15]
+set_location_assignment PIN_223 -to RAM_ADDR[16]
+set_location_assignment PIN_224 -to RAM_ADDR[17]
+set_location_assignment PIN_226 -to RAM_ADDR[18]
+set_location_assignment PIN_230 -to RAM_ADDR[19]
+set_location_assignment PIN_231 -to RAM_ADDR[0]
+set_location_assignment PIN_232 -to RAM_ADDR[1]
+set_location_assignment PIN_233 -to RAM_ADDR[2]
+set_location_assignment PIN_234 -to RAM_ADDR[3]
+set_location_assignment PIN_235 -to RAM_ADDR[4]
+set_location_assignment PIN_236 -to RAM_ADDR[5]
+set_location_assignment PIN_237 -to RAM_DQBP
 set_location_assignment PIN_238 -to RAM_DQB[0]
-set_location_assignment PIN_237 -to RAM_DQBP
 set_location_assignment PIN_239 -to RAM_DQB[1]
 set_location_assignment PIN_240 -to RAM_DQB[2]
@@ -191,7 +195,9 @@
 set_location_assignment PIN_6 -to RAM_DQB[5]
 set_location_assignment PIN_9 -to RAM_DQB[6]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to LED_0
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to LED
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CLK_50MHz
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGA
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGB
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGC
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA[7]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA[6]
@@ -202,26 +208,26 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA[1]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGC
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGB
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[7]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[6]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[5]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[4]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[2]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_SLDR
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_SLWR
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_IFCLK
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to I2C_SDA
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to I2C_SCL
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CONV_A[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CONV_A[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CONV_A[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CONV_A[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[0]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[2]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[4]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[5]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[6]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[1]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ADC_DTP
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[3]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[1]
@@ -241,6 +247,6 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[15]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[16]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[2]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[1]
@@ -256,28 +262,30 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[11]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[12]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_CCLK[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_CCLK[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_CCLK[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[3]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[4]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[5]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[6]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[7]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[8]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[9]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[10]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[11]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[12]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[13]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[14]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[15]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[16]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[17]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[18]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_A[19]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[0]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[2]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[4]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[5]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[6]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[7]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[8]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[9]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[10]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[11]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[12]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[13]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[14]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[15]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[16]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[17]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[18]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[19]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_CLK
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_CE1
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_CLK
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_WE
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQPA
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQA[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQA[1]
@@ -288,15 +296,11 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQA[6]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQA[7]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQBP
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[1]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[7]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQBP
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQPA
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_WE
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[3]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[3]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[3]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[4]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[5]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[6]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[7]
